-- Main.lua
-- Originally written by Rod, extended by Habna


import "Turbine.Gameplay";
import "HabnaPlugins.HugeBagWidget";
import "HabnaPlugins.HugeBagWidget.frmMainWidget";

Version = "1.1.14"; --> ** HugeBag current version **

frmMain = frmMain();

HugeBagCommand = Turbine.ShellCommand();

function HugeBagCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		ShowHugeBag()
	elseif ( arguments == "hide" ) then
		HideHugeBag()
	--[[
	elseif ( arguments == "unload" ) then
		--UnloadHugeBag()
	elseif ( arguments == "reload" ) then
		--ReloadHugeBag()
	]]
	elseif ( arguments == "resetall" ) then
		ResetSettings()
	--[[
	elseif ( arguments == "togglewesc" ) then
		ToggleWEsc()
	elseif ( arguments == "togglewidget" ) then
		ToggleWidgetMode()
	]]
	elseif ( arguments == "about" ) then
		ShowAbout()

	elseif ( arguments == "sort" ) then
		SortHugeBag()
	elseif ( arguments == "curopt" ) then
		frmMain.menu:ShowMenu()
	elseif ( arguments == "version" ) then
		VersionInfo()
	elseif ( arguments == "author" or arguments == "authors" ) then
		AuthorsInfo()	
	elseif ( arguments == "help" or arguments == "?") then
		HelpInfo()	
	else
		write( "HugeBag: Command not supported" );
	end
end
Turbine.Shell.AddCommand( "HugeBag", HugeBagCommand );
--[[
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, false );

Turbine.Plugin.Unload = function( self, sender, args )
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, true );
end
]]