-- Wrapper.lua
-- written by PTweety


--import "Turbine";
--import "Turbine.UI";
import "Turbine.UI.Lotro";

HugeBagWrapper = class(Turbine.UI.Lotro.Window);

function HugeBagWrapper:Constructor()
	Turbine.UI.Lotro.Window.Constructor(self);

	self:SetWantsKeyEvents( true );

	self.KeyDown = function( sender, args )
		if ( args.Action == 268435635 ) then
			self:UnloadPlugin();
		end
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			self:UnloadPlugin();
		end
		if ( args.Action == Turbine.UI.Lotro.Action.ToggleBags or
		     args.Action == Turbine.UI.Lotro.Action.ToggleBag1 or
			 args.Action == Turbine.UI.Lotro.Action.ToggleBag2 or
			 args.Action == Turbine.UI.Lotro.Action.ToggleBag3 or
			 args.Action == Turbine.UI.Lotro.Action.ToggleBag4 or
			 args.Action == Turbine.UI.Lotro.Action.ToggleBag5 )
		then
			self:TogglePlugin();
		end
	end	
end

function HugeBagWrapper:LoadPlugin()
	Turbine.PluginManager.LoadPlugin('HugeBag (Widget)');
end

function HugeBagWrapper:UnloadPlugin()
	Turbine.PluginManager.UnloadScriptState('HugeBagWid');
	--Turbine.PluginManager.LoadPlugin('HugeBag');
end

function HugeBagWrapper:TogglePlugin()
	local loaded_plugins = Turbine.PluginManager.GetLoadedPlugins()
	local loaded = false

	for k,v in pairs(loaded_plugins) do
		if v.Name == "HugeBag (Widget)" then
			loaded = true
			break
		end
	end
	
	if loaded then
		self:UnloadPlugin();
	else
		self:LoadPlugin();
	end
end

bpw = HugeBagWrapper();

Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, false );

Turbine.Plugin.Unload = function( self, sender, args )
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, true );
end